Magick++: Magick::Geometry Class Reference

Magick++ 7.0.10

Public Member Functions | List of all members
Magick::Geometry Class Reference

`#include <Geometry.h>`

## Public Member Functions
| Geometry ()
| Geometry (const char *geometry_)
| Geometry (const Geometry &geometry_)
| Geometry (const std::string &geometry_)
| Geometry (size_t width_, size_t height_,::ssize_t xOff_=0, ::ssize_t yOff_=0)
| ~Geometry (void)
const Geometry & | operator= (const char *geometry_)
Geometry & | operator= (const Geometry &Geometry_)
const Geometry & | operator= (const std::string &geometry_)
| operator std::string () const
void | aspect (bool aspect_)
bool | aspect (void) const
void | fillArea (bool fillArea_)
bool | fillArea (void) const
void | greater (bool greater_)
bool | greater (void) const
void | height (size_t height_)
size_t | height (void) const
void | isValid (bool isValid_)
bool | isValid (void) const
void | less (bool less_)
bool | less (void) const
void | limitPixels (bool limitPixels_)
bool | limitPixels (void) const
void | percent (bool percent_)
bool | percent (void) const
void | width (size_t width_)
size_t | width (void) const
void | xOff (::ssize_t xOff_)
::ssize_t | xOff (void) const
void | yOff (::ssize_t yOff_)
::ssize_t | yOff (void) const
| Geometry (const MagickCore::RectangleInfo &rectangle_)
const Geometry & | operator= (const MagickCore::RectangleInfo &rectangle_)
| operator MagickCore::RectangleInfo () const

## Detailed Description

Definition at line 35 of file Geometry.h.

## Constructor & Destructor Documentation

## ◆ Geometry() [1/6]

Magick::Geometry::Geometry | ( | void |  | ) |

Definition at line 70 of file Geometry.cpp.

## ◆ Geometry() [2/6]

Magick::Geometry::Geometry | ( | const char * | geometry_ | ) |

Definition at line 85 of file Geometry.cpp.

## ◆ Geometry() [3/6]

Magick::Geometry::Geometry | ( | const Geometry & | geometry_ | ) |

Definition at line 101 of file Geometry.cpp.

## ◆ Geometry() [4/6]

Magick::Geometry::Geometry | ( | const std::string & | geometry_ | ) |

Definition at line 116 of file Geometry.cpp.

## ◆ Geometry() [5/6]

Magick::Geometry::Geometry | ( | size_t | width_,
|  | size_t | height_,
|  | ::ssize_t | xOff_ = `0`,
|  | ::ssize_t | yOff_ = `0`
| ) |  |

## ◆ ~Geometry()

Magick::Geometry::~Geometry | ( | void |  | ) |

Definition at line 148 of file Geometry.cpp.

## ◆ Geometry() [6/6]

Magick::Geometry::Geometry | ( | const MagickCore::RectangleInfo & | rectangle_ | ) |

Definition at line 438 of file Geometry.cpp.

## Member Function Documentation

## ◆ aspect() [1/2]

void Magick::Geometry::aspect | ( | bool | aspect_ | ) |

Definition at line 327 of file Geometry.cpp.

Referenced by Magick::operator==().

## ◆ aspect() [2/2]

bool Magick::Geometry::aspect | ( | void |  | ) | const

Definition at line 332 of file Geometry.cpp.

## ◆ fillArea() [1/2]

void Magick::Geometry::fillArea | ( | bool | fillArea_ | ) |

Definition at line 337 of file Geometry.cpp.

Referenced by Magick::operator==().

## ◆ fillArea() [2/2]

bool Magick::Geometry::fillArea | ( | void |  | ) | const

Definition at line 342 of file Geometry.cpp.

## ◆ greater() [1/2]

void Magick::Geometry::greater | ( | bool | greater_ | ) |

Definition at line 347 of file Geometry.cpp.

Referenced by Magick::operator==().

## ◆ greater() [2/2]

bool Magick::Geometry::greater | ( | void |  | ) | const

Definition at line 352 of file Geometry.cpp.

## ◆ height() [1/2]

void Magick::Geometry::height | ( | size_t | height_ | ) |

Definition at line 357 of file Geometry.cpp.

Referenced by Magick::Image::annotate(), Magick::Image::extent(), Magick::Image::frame(), Magick::Image::Image(), Magick::operator<(), Magick::operator==(), and Magick::Image::size().

## ◆ height() [2/2]

size_t Magick::Geometry::height | ( | void |  | ) | const

Definition at line 362 of file Geometry.cpp.

## ◆ isValid() [1/2]

void Magick::Geometry::isValid | ( | bool | isValid_ | ) |

Definition at line 367 of file Geometry.cpp.

Referenced by Magick::Image::annotate(), Magick::ReadOptions::density(), Magick::operator==(), Magick::Options::page(), Magick::Options::size(), and Magick::ReadOptions::size().

## ◆ isValid() [2/2]

bool Magick::Geometry::isValid | ( | void |  | ) | const

Definition at line 372 of file Geometry.cpp.

## ◆ less() [1/2]

void Magick::Geometry::less | ( | bool | less_ | ) |

Definition at line 377 of file Geometry.cpp.

Referenced by Magick::operator==().

## ◆ less() [2/2]

bool Magick::Geometry::less | ( | void |  | ) | const

Definition at line 382 of file Geometry.cpp.

## ◆ limitPixels() [1/2]

void Magick::Geometry::limitPixels | ( | bool | limitPixels_ | ) |

Definition at line 387 of file Geometry.cpp.

Referenced by Magick::operator==().

## ◆ limitPixels() [2/2]

bool Magick::Geometry::limitPixels | ( | void |  | ) | const

Definition at line 392 of file Geometry.cpp.

## ◆ operator MagickCore::RectangleInfo()

Magick::Geometry::operator MagickCore::RectangleInfo | ( |  | ) | const

Definition at line 464 of file Geometry.cpp.

References width().

## ◆ operator std::string()

Magick::Geometry::operator std::string | ( |  | ) | const

Definition at line 266 of file Geometry.cpp.

References Magick::throwExceptionExplicit().

## ◆ operator=() [1/4]

const Magick::Geometry & Magick::Geometry::operator= | ( | const char * | geometry_ | ) |

Definition at line 152 of file Geometry.cpp.

## ◆ operator=() [2/4]

Magick::Geometry & Magick::Geometry::operator= | ( | const Geometry & | Geometry_ | ) |

Definition at line 158 of file Geometry.cpp.

## ◆ operator=() [3/4]

const Magick::Geometry & Magick::Geometry::operator= | ( | const std::string & | geometry_ | ) |

Definition at line 178 of file Geometry.cpp.

References Magick::Geometry.

## ◆ operator=() [4/4]

const Magick::Geometry & Magick::Geometry::operator= | ( | const MagickCore::RectangleInfo & | rectangle_ | ) |

Definition at line 453 of file Geometry.cpp.

## ◆ percent() [1/2]

void Magick::Geometry::percent | ( | bool | percent_ | ) |

Definition at line 403 of file Geometry.cpp.

Referenced by Magick::operator==().

## ◆ percent() [2/2]

bool Magick::Geometry::percent | ( | void |  | ) | const

Definition at line 408 of file Geometry.cpp.

## ◆ width() [1/2]

void Magick::Geometry::width | ( | size_t | width_ | ) |

Definition at line 397 of file Geometry.cpp.

Referenced by Magick::Image::annotate(), Magick::Image::extent(), Magick::Image::frame(), Magick::Image::Image(), operator MagickCore::RectangleInfo(), Magick::operator<(), Magick::operator==(), and Magick::Image::size().

## ◆ width() [2/2]

size_t Magick::Geometry::width | ( | void |  | ) | const

Definition at line 413 of file Geometry.cpp.

## ◆ xOff() [1/2]

void Magick::Geometry::xOff | ( | ::ssize_t | xOff_ | ) |

Definition at line 418 of file Geometry.cpp.

Referenced by Magick::Image::annotate(), Magick::Image::composite(), Magick::Image::extent(), Magick::Image::floodFillColor(), Magick::Image::floodFillTexture(), Magick::Image::frame(), Magick::operator==(), and Magick::Image::roll().

## ◆ xOff() [2/2]

ssize_t Magick::Geometry::xOff | ( | void |  | ) | const

Definition at line 423 of file Geometry.cpp.

## ◆ yOff() [1/2]

void Magick::Geometry::yOff | ( | ::ssize_t | yOff_ | ) |

Definition at line 428 of file Geometry.cpp.

Referenced by Magick::Image::annotate(), Magick::Image::composite(), Magick::Image::extent(), Magick::Image::floodFillColor(), Magick::Image::floodFillTexture(), Magick::Image::frame(), Magick::operator==(), and Magick::Image::roll().

## ◆ yOff() [2/2]

ssize_t Magick::Geometry::yOff | ( | void |  | ) | const

Definition at line 433 of file Geometry.cpp.

The documentation for this class was generated from the following files:

- Geometry.h
- Geometry.cpp